org.apache.tomcat.util.net

## Class AprEndpoint.SocketWithOptionsProcessor

- java.lang.Object
- - org.apache.tomcat.util.net.AprEndpoint.SocketWithOptionsProcessor

All Implemented Interfaces:
  Runnable

Enclosing class:
  AprEndpoint

    protected class AprEndpoint.SocketWithOptionsProcessor
    extends Object
    implements Runnable

This class is the equivalent of the Worker, but will simply use in an external Executor thread pool. This will also set the socket options and do the handshake. This is called after an accept().

### Field Summary

Fields
`protected SocketWrapper<Long>` `socket`

### Constructor Summary

Constructors
Constructor and Description
`AprEndpoint.SocketWithOptionsProcessor(SocketWrapper<Long> socket)`

### Method Summary

Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### socket

    protected SocketWrapper<Long> socket

### Constructor Detail

#### AprEndpoint.SocketWithOptionsProcessor

    public AprEndpoint.SocketWithOptionsProcessor(SocketWrapper<Long> socket)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`